Foxit PDF RDK

Public Member Functions | List of all members
Redaction Class Reference
Inheritance diagram for Redaction:

## Public Member Functions
| Apply ()
| Apply redaction in marked areas: remove the text or graphics under marked areas permanently. More...
| constructor (document)
| Constructor, from a PDF document object. More...
| IsEmpty ()
| Check whether current object is empty or not. More...
| MarkRedactAnnot (page, rects)
| Mark page contents (text object, image object, and path object) which are to be redacted. More...
Public Member Functions inherited from NativeObjectWrapper
| constructor (r)
| GetPointerAsNumber ()

## Detailed Description

Redacting a PDF file allows user to hide sensitive information while keeping the document's formatting. This class can be used to mark page contents with redact annotations and apply redaction to permanently remove (redact) visible text and images from PDF documents to protect confidential information such as social security numbers.

See also
  Redact

Examples
  /Users/ec2-user/gitlab-runner/builds/E-xKdhDo/0/foxit/sdk/mobile/gsdk-doc-auto-build/harmony_nodejs/input/Index.js.

## Member Function Documentation

## ◆ Apply()

Redaction.Apply | ( |  | ) |

Apply redaction in marked areas: remove the text or graphics under marked areas permanently.

Once this functions is called, all the marked page content(text object, image object, and path object) in the document will be removed permanently. All the redact annotations which specify marked areas will be removed (with their pop-up annotations) and these marked areas will be filled by the color specified by Redact.SetApplyFillColor.

Returns
  true means success, while false means failure.

## ◆ constructor()

Redaction.constructor | ( | document |  | ) |

Constructor, from a PDF document object.

Parameters

  [in] | document | A valid PDF document object.

Note
  If module "Redaction" is not defined in the license information which is used in function Library.Initialize, that means user has no right in using redaction related functions and this constructor will throw exception e_ErrNoRedactionModuleRight.

## ◆ IsEmpty()

Redaction.IsEmpty | ( |  | ) |

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.

## ◆ MarkRedactAnnot()

Redaction.MarkRedactAnnot | ( | page | ,
|  | rects |
| ) |  |

Mark page contents (text object, image object, and path object) which are to be redacted.

This function is to add special marks (called redact annotation) to the specified rectangles areas, in order to redact page contents in these areas. Usually, the marked area has two appearance:

- Normal appearance, which is used when the marked area is not interacting with the user. The border color (also known as stroke color) can be set by Annot.SetBorderColor. The fill color can be set by Redact.SetFillColor. The opcacity can be set by Markup.SetOpacity.
- Rollover appearance, which is used when the user moves the cursor into the marked area without pressing the mouse button. The border color and fill color are the same and can be set by Redact.SetApplyFillColor.

Once function Redaction.Apply is called, all the page contents under these marked area will be removed permanently and these marked areas will keep their rollover appearance all the time.

Parameters

  [in] | page | A PDF page whose content will be marked.
  [in] | rects | Specify areas in the page to be marked. It should not be an empty array. All the input rectangles will be treated as one redact annotation.

Returns
  A redact annotation object (along with a pop-up annotation by default), with default appearance:
  apply fill color = black, border color = red, opacity = 1.0.